<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *

 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>


<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>" />
  <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

  <title><?php bloginfo('name'); ?> <?php wp_title(); ?></title>
  <link href="<?php bloginfo('template_directory'); ?>/images/favicon.png" rel="shortcut icon" type="image/x-icon" />
  <link rel="profile" href="http://gmpg.org/xfn/11" />
  <link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />


<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/assets/css/prettyPhoto.css">
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/assets/css/style.css">
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/assets/css/layout.css">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" />
<script src="https://kit.fontawesome.com/80aa2e358e.js" crossorigin="anonymous"></script>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
<link rel="icon" href="favicon.ico" type="image/x-icon">
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap" rel="stylesheet">

<script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.umd.js"></script>
<link
  rel="stylesheet"
  href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.css"
/>


  <?php
  /* We add some JavaScript to pages with the comment form
   * to support sites with threaded comments (when in use).
   */
  if ( is_singular() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
  global $options;global $logo;global $copyrite;
  $options = get_option('cOptn');
  $logo = $options['logo'];
  $copyrite = $options['copyrite'];
  $size = 300;
  $options['logo'] = wp_get_attachment_image($logo, array($size, $size), false);
  $att_img = wp_get_attachment_image($logo, array($size, $size), false); 
  $logoSrc = wp_get_attachment_url($logo);
  $att_src_thumb = wp_get_attachment_image_src($logo, array($size, $size), false);

  /* Always have wp_head() just before the closing </head>
   * tag of your theme, or you will break many plugins, which
   * generally use this hook to add elements to <head> such
   * as styles, scripts, and meta tags.
   */
  wp_head();
  
  
  global $more;
  $more = 0;
  ?>
</head>

<body <?php body_class( $class ); ?>> 

  <header>
  <div class="main-header wow fadeInDown" data-wow-delay="0.3s">
    <div class="container">
      <div class="menu-Bar">
        <span></span>
        <span></span>
        <span></span>
      </div>
      <div class="header-nav">
        <div class="row">
          <div class="col-md-3 d-flex justify-content-center p-1">
            <a href="<?php echo site_url(); ?>" class="logo"><?php echo $options['logo']  ?></a>
          </div>
          <div class="col-md-9">
            <div class="nav-main">
              <div class="nav-upper">
                <div class="row">
                  <div class="col-md-3">
                    <p><i class="fa-solid fa-phone"></i> <?php echo $options['phone_number']  ?></p>
                  </div>
                  <div class="col-md-6">
                    <p><i class="fa-solid fa-location-dot"></i> <?php echo $options['Address']  ?></p>
                  </div>
                  <div class="col-md-3">
                    <ul>
                      <li><a href="<?php echo $options['facebook']  ?>" target="_blank"><i class="fa-brands fa-facebook-f"></i></a></li>
                      <li><a href="<?php echo $options['linkedin']  ?>" target="_blank"><i class="fa-brands fa-linkedin"></i></a></li>
                      <li><a href="<?php echo $options['instagram']  ?>" target="_blank"><i class="fa-brands fa-instagram"></i></a></li>
                      <li><a href="<?php echo $options['twitter']  ?>" target="_blank"><i class="fa-brands fa-twitter"></i></a></li>
                    </ul>
                  </div>
                </div>
              </div>
              <div class="nav-lower">
                <div class="row">
                  <div class="col-md-9">
                    <?php wp_nav_menu(array('menu'=>'Menu 1')); ?> 
                  </div>
                  <div class="col-md-3">
                    <a href="<?php echo get_site_url(); ?>/contact" class="header-btn">Get A Quote</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</header>

<?php if(Is_home()|| is_front_page() ) { ?>

    <?php $index_query = new WP_Query(array( 'post_type' => 'slider' , 'posts_per_page' => '1'  )); ?>

      <?php while ($index_query->have_posts()) : $index_query->the_post(); ?>

      <div class="mainBanner" style="background-image: url(<?php the_post_thumbnail_url('full'); ?>);">
         <div class="container">
            <div class="row">
               <div class="col-md-6 wow fadeInLeft" data-wow-delay="0.3s">
                  <h1><?php the_title(); ?></h1>
                   <?php wpautop(the_content()); ?>
                   <?php edit_post_link('edit' , '<p>' , '</p>'); ?>
               </div>
            </div>
         </div>
      </div>


      <?php endwhile; wp_reset_query(); ?>


<?php } else { ?>



 <?php  $page = basename(get_permalink()); ?>
<?php $content = get_posts(array('name' => '"'.$page.'"','post_type' => 'page')); ?>
  <section class="banner-main">
      <div class="container">
          <div class="row">
              <h2><?php the_title(); ?></h2>
          </div>
      </div>
  </section>

<?php } ?>
 
 
 

        

 <div class="main-wrapper">